/*
 * Emergency RAVE controller
 * REST API for the Emergency RAVE controller. See https://emergency-rave.gitlab.io/about-erave/ for more information.
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * DeviceHealthIssues
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-18T14:46:04.929Z[GMT]")
public class DeviceHealthIssues {
  @SerializedName("timestamp")
  private Integer timestamp = null;

  @SerializedName("message")
  private String message = null;

  @SerializedName("count")
  private Integer count = null;

  @SerializedName("severety")
  private String severety = null;

  public DeviceHealthIssues timestamp(Integer timestamp) {
    this.timestamp = timestamp;
    return this;
  }

   /**
   * Get timestamp
   * @return timestamp
  **/
  @Schema(description = "")
  public Integer getTimestamp() {
    return timestamp;
  }

  public void setTimestamp(Integer timestamp) {
    this.timestamp = timestamp;
  }

  public DeviceHealthIssues message(String message) {
    this.message = message;
    return this;
  }

   /**
   * Get message
   * @return message
  **/
  @Schema(description = "")
  public String getMessage() {
    return message;
  }

  public void setMessage(String message) {
    this.message = message;
  }

  public DeviceHealthIssues count(Integer count) {
    this.count = count;
    return this;
  }

   /**
   * Get count
   * @return count
  **/
  @Schema(description = "")
  public Integer getCount() {
    return count;
  }

  public void setCount(Integer count) {
    this.count = count;
  }

  public DeviceHealthIssues severety(String severety) {
    this.severety = severety;
    return this;
  }

   /**
   * Get severety
   * @return severety
  **/
  @Schema(description = "")
  public String getSeverety() {
    return severety;
  }

  public void setSeverety(String severety) {
    this.severety = severety;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceHealthIssues deviceHealthIssues = (DeviceHealthIssues) o;
    return Objects.equals(this.timestamp, deviceHealthIssues.timestamp) &&
        Objects.equals(this.message, deviceHealthIssues.message) &&
        Objects.equals(this.count, deviceHealthIssues.count) &&
        Objects.equals(this.severety, deviceHealthIssues.severety);
  }

  @Override
  public int hashCode() {
    return Objects.hash(timestamp, message, count, severety);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceHealthIssues {\n");
    
    sb.append("    timestamp: ").append(toIndentedString(timestamp)).append("\n");
    sb.append("    message: ").append(toIndentedString(message)).append("\n");
    sb.append("    count: ").append(toIndentedString(count)).append("\n");
    sb.append("    severety: ").append(toIndentedString(severety)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
